来自 电脑系统 2019-09-14 02:58 的文章
当前位置: 金沙澳门官网网址 > 电脑系统 > 正文

从轻巧实用的小Tips说到,CocoaPods的设置使用

虽然学iOS有大半年了,各种小项目、小Demo也没少折腾,但我还是想先从简单实用的一些开发小Tips开始,一来容易掌握,二来用好了可以大大提高生产效率,值得总结。

一、CocoaPods的作用

  在iOS开发中势必会用到一些第三方依赖库,比如大家都熟悉的ASIHttpRequest、AFNetworking、JSONKit等。使用这些第三方类库能极大的方便项目的开发,但是,集成这些依赖库需要我们手动去配置,例如集成ASIHttpRequest库时除了加入源码以外还需要手动去添加一些系统的framework,CFNetwork、MobileCoreServices等,如果这些第三方库发生了更新,还需要手动去更新项目。这就显得非常麻烦。有麻烦自然有解决办法,CocoaPods就是为了解决这个问题而生的。通过CocoaPods,我们可以将第三方的依赖库统一管理起来,配置和更新只需要通过简单的几行命令即可完成,大大的提高了实际开发中的工作效率,使我们的主要精力集中到更重要的事情上去。

作为一个非计算机科班出身的程序员,对于终端命令行的交互方式其实从一开始是拒绝的,因为要记忆一大堆命令。确实,在熟悉命令之前,对着黑框框却总要先去查一查命令,有时候既然打开浏览器了,干脆就放弃“效率”,选择更为“友好”的可视化操作方式完成任务了。

二、CocoaPods的安装

使用CocoaPods的初期这样的感觉就特别明显,但在习惯了pod后,便会上瘾,就再也受不了手动下载和导入第三方库了。

1. 配置ruby环境

Mac打开终端,移除原有镜像:$ gem sources -r https://rubygems.org/
安装基于腾讯云的镜像:$ gem sources -a https://gems.ruby-china.org/
查看镜像:$ gem sources -l ,确保只有 gems.ruby-china.org

图片 1

CocoaPods作为一款效率软件,安装过程简单到令人发指,打开终端,就一行命令。

2.Mac上更新Ruby

安装CocoaPods,需要Ruby版本在 2.2.2 以上,这里使用RVM对Ruby进行升级:

$ sudo gem install cocoapods
(1)安装 RVM

RVM (Ruby Version Manager),即Ruby版本管理器,包括Ruby的版本管理和Gem库管理。按照下面的命令安装 RVM,需等待一段时间,务必保持网络稳定:
$ curl -L get.rvm.io | bash -s stable
$ source ~/.bashrc
$ source ~/.bash_profile

若提示-bash: /Users/Xiao/.bash_profile: No such file or directory找不到 .bash_profile 文件,直接在根目录创建一个即可:
$ cd ~
$ touch .bash_profile
安装成功后,可查看rvm版本:$ rvm -v

图片 2

如果平时网络环境都在墙外,这就可以安装完成了,但考虑到墙内可能会屏蔽掉rubygems.org源,让我们来多做一些.

(2)用RVM升级Ruby

查看当前ruby版本:$ ruby -v
列出已知的ruby版本:$ rvm list known
安装xcode command line:$ xcode-select --install
选择要安装的版本,如安装ruby 2.4.0:$ rvm install 2.4.0

图片 3

$ sudo gem sources -a https://ruby.taobao.org 
3. 安装CocoaPods并更新gem

(1)$ sudo gem install -n /usr/local/bin cocoapods
(2)$ pod setup
(3)$ sudo gem update --system

安装pod过程需等待一段时间,务必保持网络稳定!安装完成后,在终端输入:$ pod,若显示下面的信息就表示CocoaPods安装成功了。

图片 4

输入:$ pod --version$ gem -v,可查看 pod 和 gem 版本

图片 5

注意!淘宝镜像源最近换成了https协议,添加完成后就可以使用以下命令查看是否成功了。

三、CocoaPods的使用

$ sudo gem sources -l *** CURRENT SOURCES ***https://rubygems.org/https://ruby.taobao.org
1. 新建并编辑Podfile文件

在终端切换路径到工程文件夹,输入命令:$ touch Podfile 在工程目录下新建Podfile文件,注意此文件无扩展名。

图片 6

在工程文件夹中双击打开Podfile文件,编辑内容如下

图片 7

注意文件中的ios要小写,标点符号是英文格式,为避免手打写错格式,可在终端使用 $ pod search AFNetworking 命令搜索出这个第三方库,复制系统的语句,按 q 键退出搜索界面。pod 'AFNetworking', '~> 3.1.0' 这种写法表示使用3.1.0版本的库,若不写版本号表示使用当下最新版本。

图片 8

图片 9

cd 进入工程目录,CocoaPods提供了快捷的初始化命令,

2. 安装所需的第三方库

终端输入命令:$ pod install
若被墙卡住,可尝试命令: $ pod install --verbose --no-repo-update
若看到下面的内容信息,表示成功安装好了Podfile文件里的第三方库。

图片 10

此时查看工程目录多了4个东西,Pods文件夹存放你下载的第三方库。以后打开工程不再是使用xcodeproj,而是使用xcworkspace。打开workspace工作空间,发现里面包含两个xcodeproj工程文件,一个是本身的工程,一个是Pods管理第三方库的工程。

图片 11

$ pod init
3. 导入头文件的相关配置

如果引入的第三方库后找不到头文件,在项目中Build Settings—>User Header Search Paths中添加:$(SRCROOT),右面值为recursive。(这一步骤只需要配置一次,以后再导入新的第三方库都不需要配置了)

图片 12

小结:
(1)Podfile文件控制CocoaPods该下载什么,文件名一定叫做Podfile且没有后缀;
(2)切换到工程目录,输入命令:$pod update,可更新所有配置好的第三方库;
(3)若后续要添加新的第三方库,则在Podfile文件,添加新的第三方库代码,如:$pod 'SDWebImage',然后在终端切换到工程目录,输入 $ pod update 即可。同理想要删除某个第三方库,只需在Podfile文件里把对应的第三方库那行代码删除,然后在终端切换到工程目录,执行 $ pod update 即可。

这会在工程目录中创建一个`Podfile'文件,打开它

四、常见问题

Mac OS 10.11之后, cocoapods的一些命令需要进行变化。若遇到 pod setup 或pod update 出现问题,而且很难解决,建议直接卸载重装:

  1. 卸载cocoapods:$ sudo gem uninstall cocoapods
  2. 重装cocoapods:
    10.11之前:$ sudo gem install cocoapods
    10.11之后:$ sudo gem install -n /usr/local/bin cocoa pods

常见报错问题及解决方法参考链接:
http://www.jianshu.com/p/6d8604f0b94c

$ vim Podfile

将需要的第三方库和支持的版本号添加进去

本文由金沙澳门官网网址发布于电脑系统,转载请注明出处:从轻巧实用的小Tips说到,CocoaPods的设置使用

关键词: